<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>00100_AES_CTR</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____a_e_s___c_t_r.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">00100_AES_CTR<div class="ingroups"><a class="el" href="group___s_e_c_u_r_e___a_p_i___c_r_y_p_t_o___a_l_g_o_r_i_t_h_m_s.html">Secure_API_Crypto_Algorithms</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p><b>Involved Components and their required Functionality</b>  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga6ee9a495d1a53fac2af75e628508e5f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___c_t_r.html#ga6ee9a495d1a53fac2af75e628508e5f6">TestCase_GC00200_Aes128CtrNopadEncrypt</a> ()</td></tr>
<tr class="separator:ga6ee9a495d1a53fac2af75e628508e5f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4376a4e75633a521354da37f809c3d26"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___c_t_r.html#ga4376a4e75633a521354da37f809c3d26">TestCase_GC00300_Aes128CtrNopadDecrypt</a> ()</td></tr>
<tr class="separator:ga4376a4e75633a521354da37f809c3d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac285ad42192f038dcef75b5d89f16611"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___c_t_r.html#gac285ad42192f038dcef75b5d89f16611">TestCase_GC00400_Aes256CtrNopadDecrypt</a> ()</td></tr>
<tr class="separator:gac285ad42192f038dcef75b5d89f16611"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p><b>Involved Components and their required Functionality</b> </p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
<li>mcOpenDevice()</li>
</ol>
</li>
<li>McDriverModule<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
<li>Trusted Application TlIntegrationTest<ol type="a">
<li>Trusted Application copied to Android on Test device in registry as 05010000000000000000000000000000.trst</li>
<li>Trusted Application runnable and bug-free </li>
</ol>
</li>
</ol>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga6ee9a495d1a53fac2af75e628508e5f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes128CtrNopadEncrypt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>tlApiCipherDoFinal </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Encrypt AES 128 CTR Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00100_AES_CTR.GC00200_Aes128CtrNopadEncrypt </dd></dl>

</div>
</div>
<a class="anchor" id="ga4376a4e75633a521354da37f809c3d26"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128CtrNopadDecrypt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>tlApiCipherDoFinal </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Decrypt AES 128 CTR Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00100_AES_CTR.GC00300_Aes128CtrNopadDecrypt </dd></dl>

</div>
</div>
<a class="anchor" id="gac285ad42192f038dcef75b5d89f16611"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_Aes256CtrNopadDecrypt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>tlApiCipherDoFinal </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Decrypt AES 256 CTR Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK.</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd><a href="group___final___device.html">Yes</a></dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Secure_API_Crypto_Algorithms.00100_AES_CTR.GC00400_Aes256CtrNopadDecrypt </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
